org.eclipse.cdt.core.dom.ast.cpp

## Interface ICPPASTTemplateSpecialization

All Superinterfaces:
  IASTDeclaration, IASTNode

    public interface ICPPASTTemplateSpecialization
    extends IASTDeclaration

This interface represents a template specialization.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`IASTNode.CopyStyle`

### Field Summary

Fields
`static ASTNodeProperty` `OWNED_DECLARATION` The declaration that the specialization affects.

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTDeclaration

`EMPTY_DECLARATION_ARRAY`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`EMPTY_NODE_ARRAY`

### Method Summary

All Methods Instance Methods Abstract Methods
`ICPPASTTemplateSpecialization` `copy()` Returns a mutable copy of the tree rooted at this node.
`ICPPASTTemplateSpecialization` `copy(IASTNode.CopyStyle style)` Returns a mutable copy of the tree rooted at this node.
`IASTDeclaration` `getDeclaration()` Get the declaration.
`void` `setDeclaration(IASTDeclaration declaration)` Set the declaration.

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`accept, contains, getChildren, getContainingFilename, getFileLocation, getLeadingSyntax, getNodeLocations, getOriginalNode, getParent, getPropertyInParent, getRawSignature, getSyntax, getTrailingSyntax, getTranslationUnit, isActive, isFrozen, isPartOfTranslationUnitFile, setParent, setPropertyInParent`

### Field Detail

#### OWNED_DECLARATION

    static final ASTNodeProperty OWNED_DECLARATION

The declaration that the specialization affects.

### Method Detail

#### getDeclaration

    IASTDeclaration getDeclaration()

Get the declaration.

Returns:
  `IASTDeclaration`

#### setDeclaration

    void setDeclaration(IASTDeclaration declaration)

Set the declaration.

Parameters:
  `declaration` - `IASTDeclaration`

#### copy

    ICPPASTTemplateSpecialization copy()

Description copied from interface: `IASTNode`
Returns a mutable copy of the tree rooted at this node. The following postconditions hold:

     copy.getParent() == null
     copy.getPropertyInParent() == null
     copy.isFrozen() == false

Preprocessor nodes do not currently support being copied. Implicit name nodes are not copied, instead they can be regenerated if required.

Calling this method is equivalent to `copy(CopyStyle.withoutLocations)`.

Specified by:
  `copy` in interface `IASTDeclaration`
Specified by:
  `copy` in interface `IASTNode`
Since:
  5.1

#### copy

    ICPPASTTemplateSpecialization copy(IASTNode.CopyStyle style)

Description copied from interface: `IASTNode`
Returns a mutable copy of the tree rooted at this node. The following postconditions hold:

     copy.getParent() == null
     copy.getPropertyInParent() == null
     copy.isFrozen() == false

Preprocessor nodes do not currently support being copied. Implicit name nodes are not copied, instead they can be regenerated if required.

Specified by:
  `copy` in interface `IASTDeclaration`
Specified by:
  `copy` in interface `IASTNode`
Parameters:
  `style` - `IASTNode.CopyStyle` create a copy with or without locations. Please see `IASTNode.CopyStyle` for restrictions on copies with Locations.
Since:
  5.3